> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/compute/vm/virtual-machine-instance/describeinstancesstatus.md).

# DescribeInstancesStatus

## 1. API Description

This API (DescribeInstancesStatus) is used to query the status of one or more virtual machine instances.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type            | Description                                                                                                                                                         |
| -------------- | -------- | --------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| instanceIds    | No       | Array of String | <p>Instance IDs.</p><p>You can query up to 100 instances in each request. If the value is empty, return status of instances in one page, that is 20 by default.</p> |
| pageSize       | No       | Integer         | <p>Number of items in the current page result.</p><p>Default value: 20;</p><p>Maximum value: 1000.</p>                                                              |
| pageNum        | No       | Integer         | <p>Number of pages returned.</p><p>Default value: 1.</p><p>Default value: 1</p>                                                                                     |

## 3. Output Parameters

| Parameter Name | Type                                                                                 | Description                                                                                                           |
| -------------- | ------------------------------------------------------------------------------------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String                                                                               | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| totalCount     | Integer                                                                              | Quantity of eligible instances.                                                                                       |
| dataSet        | Array of [InstanceStatus](/api-reference/compute/vm/datastructure.md#instancestatus) | Status list of instances.                                                                                             |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Query status of instances.**

```json
POST /api/v2/vm HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeInstancesStatus
<Common Request Params>

Request:
{}

Response:
{
    "requestId":"TDD2B967A-10DD-4876-939D-E5C637F768DE",
    "dataSet":[
        {
            "instanceId":"instanceId1",
            "instanceStatus":"RUNNING"
        },
        {
            "instanceId":"instanceId2",
            "instanceStatus":"STOPPED"
        },
        {
            "instanceId":"instanceId3",
            "instanceStatus":"RUNNING"
        }
    ],
    "totalCount":3
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/compute/vm/virtual-machine-instance/describeinstancesstatus.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
